%define name perl-Convert-ASN1
%define real_name Convert-ASN1
%define version 0.15
%define release 1rph

Summary: 	ASN.1 Encode/Decode library for perl
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Distribution:	Mandrake Linux
Group: 		Development/Perl
Source: 	http://www.cpan.org/authors/id/GBARR/%{real_name}-%{version}.tar.bz2
Prefix: 	%{_prefix}
Url: 		http://www.cpan.org
BuildRequires:	perl-devel
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Requires: 	perl >= 5.600

%description
Perl module used to encode and decode ASN.1 data structures using BER/DER
rules.

Needed by webmin to handle the OpenLDAP modules properly.

%prep
%setup -q -n %{real_name}-%{version}

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{real_name}-%{version}

%files
%defattr(-,root,root)
%doc ChangeLog MANIFEST README examples/*
%{_libdir}/perl5/site_perl/*/Convert/ASN1.pm
%{_libdir}/perl5/site_perl/*/Convert/ASN1.pod
%{_libdir}/perl5/site_perl/*/Convert/ASN1
%{_libdir}/perl5/man/man3/*

%changelog
* Thu Jun 13 2002 Vincent Danen <vdanen@mandrakesoft.com> 0.15-1rph
- first Mandrake spec
